Skip to main content
GET
Leagues

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, slug, name, fullName, commonName, teamClass, leagueType, leagueLevel, scheduleType, country, continent, region, flagUrl, logo, logoUrl, imageUrl, numberOfTeams, primaryDraftType, existsInLeagueEndpoint, links, eliteprospectsUrlPath, updatedAt, _links

Available options:
id,
slug,
name,
fullName,
commonName,
teamClass,
leagueType,
leagueLevel,
scheduleType,
country,
continent,
region,
flagUrl,
logo,
logoUrl,
imageUrl,
numberOfTeams,
primaryDraftType,
existsInLeagueEndpoint,
links,
eliteprospectsUrlPath,
updatedAt,
_links,
country.*,
flagUrl.*,
logo.*,
primaryDraftType.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
name,
-name,
country,
-country,
updatedAt,
-updatedAt
q
string

Full-text search by name

slug
string[]

Filter by slug

name
string

Filter by name

country
string

Filter by country slug in ISO 3166-1 alpha-3

teamClass
enum<string>

Filter by teamClass

Available options:
men,
women
leagueType
string

Filter by leagueType

leagueLevel
string

Filter by leagueLevel

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of leagues.

_meta
object
data
object[]